# bug 2: syntax for profile is in caps, ie include ALL not include all
# bug 3:  

Name:		aqueduct
Version:	0.1
Release:	3.art
Summary:	BASH scripts from the Aqueduct Project (https:/fedorahosted.org/aqueduct) that are meant to assist in the securing of a RHEL server.

Group:		Application/SystemTools
License:	GPL
Packager:	Scott R. Shinn <scott@atomicorp.com>
Source0:	%{name}-%{version}.tar.gz
Patch0:		feature-aqueduct-no-case-sensitivity-profile.patch
Patch1:		feature-CISv112-SN9-6-suppress-stderr.patch
Patch2:		feature-user-defined-banners.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires: 	bash filesystem gzip


%description
BASH scripts from the Aqueduct Project (https:/fedorahosted.org/aqueduct) that are meant to assist in the securing of a RHEL server.

%package CIS
Group:          Application/SystemTools
Summary:        Compliance scripts for the CIS benchmarks.
%description CIS
This package contains the compliance scripts and default profiles for the CIS STIG.


%package DISA
Group:		Application/SystemTools
Summary: 	Compliance scripts for the DISA(Defense Information Systems Agency) STIG(Security Technical Implementation Guides).
%description DISA
This package contains the compliance scripts and default profiles for the DISA STIG. 


%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1


%build


%install

# Main aqueduct package
install -m 0755 -d $RPM_BUILD_ROOT/etc/aqueduct
install -m 0640 etc/aqueduct/aqueduct.conf $RPM_BUILD_ROOT/etc/aqueduct/aqueduct.conf
install -m 0755 -d $RPM_BUILD_ROOT/etc/aqueduct/profiles
install -m 0755 -d $RPM_BUILD_ROOT/usr/libexec/aqueduct
install -m 0755 -d $RPM_BUILD_ROOT/usr/bin
install -m 0750 aqueduct $RPM_BUILD_ROOT/usr/bin/aqueduct
install -m 0750 -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 docs/man1/aqueduct.1 $RPM_BUILD_ROOT/usr/share/man/man1/aqueduct.1
gzip $RPM_BUILD_ROOT/usr/share/man/man1/aqueduct.1

# Files involved in the CIS benchmarks
install -m 0755 -d $RPM_BUILD_ROOT/etc/aqueduct/profiles/CIS/rhel5
install -m 0755 -d $RPM_BUILD_ROOT/usr/libexec/aqueduct/CIS/rhel5/scripts
install -m 0640 etc/aqueduct/profiles/DISA/rhel-5-beta/default.profile $RPM_BUILD_ROOT/etc/aqueduct/profiles/CIS/rhel5/default.profile
install -m 0750  -t $RPM_BUILD_ROOT/usr/libexec/aqueduct/CIS/rhel5/scripts compliance/Bash/CIS/rhel5/prod/CIS*


# Files involved in the DISA STIG
install -m 0755 -d $RPM_BUILD_ROOT/etc/aqueduct/profiles/DISA/rhel-5-beta
install -m 0755 -d $RPM_BUILD_ROOT/usr/libexec/aqueduct/DISA/rhel-5-beta/scripts
install -m 0640 etc/aqueduct/profiles/DISA/rhel-5-beta/default.profile $RPM_BUILD_ROOT/etc/aqueduct/profiles/DISA/rhel-5-beta/default.profile

install -m 0755 -d $RPM_BUILD_ROOT/etc/aqueduct/profiles/DISA/firefox
install -m 0755 -d $RPM_BUILD_ROOT/usr/libexec/aqueduct/DISA/firefox/scripts
install -m 0640 etc/aqueduct/profiles/DISA/firefox/default.profile $RPM_BUILD_ROOT/etc/aqueduct/profiles/DISA/firefox/default.profile

install -m 0750  -t $RPM_BUILD_ROOT/usr/libexec/aqueduct/DISA/rhel-5-beta/scripts compliance/Bash/STIG/rhel-5-beta/prod/GEN*



%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir /etc/aqueduct
%dir /etc/aqueduct/profiles
%dir /usr/libexec/aqueduct
%doc /usr/share/man/man1/aqueduct.1.gz
/etc/aqueduct/aqueduct.conf
/usr/bin/aqueduct

%files DISA
%dir /etc/aqueduct/profiles/DISA
%dir /etc/aqueduct/profiles/DISA/rhel-5-beta
%dir /etc/aqueduct/profiles/DISA/firefox
/etc/aqueduct/profiles/DISA/rhel-5-beta/default.profile
/etc/aqueduct/profiles/DISA/firefox/default.profile
/usr/libexec/aqueduct/DISA/rhel-5-beta/scripts
/usr/libexec/aqueduct/DISA/firefox/scripts

%files CIS
%dir /etc/aqueduct/profiles/CIS
%dir /etc/aqueduct/profiles/CIS/rhel5
/etc/aqueduct/profiles/CIS/rhel5/default.profile
/usr/libexec/aqueduct/CIS/


%changelog
* Thu May 3 2012 Scott R. Shinn <scott@atomicorp.com> 0.1-3
- Update to SVN 201
- Add CISv112-SN9-6-suppress-stderr patch
- Add user defined banners

* Thu May 3 2012 Scott R. Shinn <scott@atomicorp.com> 0.1-2
- Add CIS benchmark package

* Sun Apr 8 2012 Shannon Mitchell <shannon.mitchell@fusiontechnology-llc.com>
- Initial Spec file creation

